<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template match="/results">
		<xsl:variable name="root" select="/" />
		<xsl:variable name="totalvalidvotes" select="validVotes" />
		<HTML>
			<HEAD>
				<TITLE>
					<xsl:value-of select="election" />
				</TITLE>
			</HEAD>
			<BODY>
				<H1>
					<FONT color="black"><xsl:value-of select="election/@code" /> - <xsl:value-of select="election" /></FONT>
				</H1>
				<br />
				<STRONG>Total of Votes: <xsl:value-of select="totalVotes" /></STRONG>
				<br />
				<STRONG>
					<FONT color="green">Valid Votes: <xsl:value-of select="validVotes" /></FONT>
				</STRONG>
				<br />
				<STRONG>
					<FONT color="red">Invalid Votes: <xsl:value-of select="invalidVotes" /></FONT>
				</STRONG>
				<xsl:variable name="ballot" select="document(ballot)" />
				<xsl:for-each select="$ballot//group">
					<P>
						<br />
						<H2>
							<FONT color="navy">Group <xsl:value-of select="@code" /> - <xsl:value-of select="@description" /></FONT>
						</H2>
					</P>
					<xsl:variable name="groupCode" select="@code" />
					<xsl:for-each select="question">
						<TABLE cellSpacing="1" cellPadding="3" border="1">
							<xsl:variable name="questionCode" select="@code" />
							<TR bgcolor="LemonChiffon">
								<TH colspan="3">
									<xsl:value-of select="questionDescription" />
								</TH>
							</TR>
							<xsl:variable name="totalanswersaux">
								<xsl:for-each select="$root//vote">
									<xsl:variable name="answer" select="document(.)" />
									<xsl:variable name="answerValue" select="$answer/ballotAnswer/group[@code=$groupCode]/question[@code=$questionCode]/@answer" />
									<xsl:call-template name="count-answers">
										<xsl:with-param name="answervalue" select="$answerValue" />
										<xsl:with-param name="answer" select="$answer/ballotAnswer/group[@code=$groupCode]/question[@code=$questionCode]" />
									</xsl:call-template>
								</xsl:for-each>
							</xsl:variable>
							<xsl:variable name="totalanswers" select="string-length($totalanswersaux)" />
							<xsl:for-each select="answer">
								<xsl:variable name="answerCode" select="@code" />
								<TR>
									<TD>
										<xsl:value-of select="." />
									</TD>
									<xsl:variable name="howmanyaux">
										<xsl:for-each select="$root//vote">
											<xsl:variable name="answer" select="document(.)" />
											<xsl:variable name="answerValue" select="$answer/ballotAnswer/group[@code=$groupCode]/question[@code=$questionCode]/@answer" />
											<xsl:call-template name="count-answer">
												<xsl:with-param name="answercode" select="$answerCode" />
												<xsl:with-param name="answervalue" select="$answerValue" />
											</xsl:call-template>
										</xsl:for-each>
									</xsl:variable>
									<xsl:variable name="howmany" select="string-length($howmanyaux)"/>
									<TD align="right">
										<xsl:value-of select="$howmany" />
									</TD>
									<TD align="right">
										<xsl:value-of select="format-number($howmany div $totalanswers * 100,'##0.0')" /> %
									</TD>
								</TR>
							</xsl:for-each>
							<xsl:for-each select="$root//vote">
								<xsl:variable name="answer" select="document(.)" />
								<xsl:variable name="answerValue" select="$answer/ballotAnswer/group[@code=$groupCode]/question[@code=$questionCode]/@answer" />
								<xsl:call-template name="count-answer">
									<xsl:with-param name="answercode" select="0" />
									<xsl:with-param name="answervalue" select="$answerValue" />
									<xsl:with-param name="answer" select="$answer/ballotAnswer/group[@code=$groupCode]/question[@code=$questionCode]" />
								</xsl:call-template>
							</xsl:for-each>
							<TR bgcolor="LemonChiffon">
								<TD>
									Total of Answers
								</TD>
								<TD align="right">
									<xsl:value-of select="$totalanswers" />
								</TD>
								<TD align="right">
									<xsl:value-of select="format-number($totalanswers div $totalvalidvotes * 100,'##0.0')" /> %
								</TD>
							</TR>
						</TABLE>
						<BR />
					</xsl:for-each>
				</xsl:for-each>
			</BODY>
		</HTML>
	</xsl:template>
	<xsl:template name="count-answer">
		<xsl:param name="answercode" />
		<xsl:param name="answervalue" />
		<xsl:param name="answer" />
		<xsl:variable name="aux" select="substring($answervalue,1,1)" />
		<xsl:variable name="nextanswer" select="substring-after($answervalue,'-')" />
		<xsl:choose>
			<xsl:when test="($aux=$answercode) and ($aux!=0)">i</xsl:when>
			<xsl:when test="$aux=$answercode and string-length($answer)>0">
				<TR>
					<TD>Open Answer</TD>
					<TD>
						<xsl:value-of select="$answer" />
					</TD>
				</TR>
			</xsl:when>
			<xsl:when test="$aux!=$answercode and string-length($nextanswer)>0">
				<xsl:call-template name="count-answer">
					<xsl:with-param name="answercode" select="$answercode" />
					<xsl:with-param name="answervalue" select="$nextanswer" />
				</xsl:call-template>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="count-answers">
		<xsl:param name="answervalue" />
		<xsl:param name="answer" />
		<xsl:choose>
			<xsl:when test="string-length($answervalue)>0 and $answervalue!=0">i</xsl:when>
			<xsl:when test="string-length($answervalue)>0 and string-length($answer)>0">o</xsl:when>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
