<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template match="/results">
		<xsl:variable name="root" select="/" />
		<xsl:variable name="counter" select="0" />
		<HTML>
			<HEAD>
				<TITLE>
					<xsl:value-of select="election" />
				</TITLE>
			</HEAD>
			<BODY>
				<H1><FONT color="black"><xsl:value-of select="election/@code" /> - <xsl:value-of select="election" /></FONT></H1>
				<br/><STRONG>Total of Votes: <xsl:value-of select="totalVotes" /></STRONG>
				<br/><STRONG><FONT color="green">Valid Votes: <xsl:value-of select="validVotes" /></FONT></STRONG>
				<br/><STRONG><FONT color="red">Invalid Votes: <xsl:value-of select="invalidVotes" /></FONT></STRONG>
				<xsl:variable name="ballot" select="document(ballot)" />
				<xsl:for-each select="$ballot//group">
					<P>
					<br/>
					<H2><FONT color="navy">Group <xsl:value-of select="@code" /> - <xsl:value-of select="@description" /></FONT></H2>
					</P>
					<xsl:variable name="groupCode" select="@code" />
					<TABLE cellSpacing="1" cellPadding="3" border="1">
						<TR bgcolor="LemonChiffon">
							<xsl:for-each select="question">
								<TH>
									<xsl:value-of select="questionDescription" />
								</TH>
							</xsl:for-each>
						</TR>
						<xsl:for-each select="$root//vote">
							<xsl:variable name="answer" select="document(.)" />
							<TR>
								<xsl:for-each select="$answer/ballotAnswer/group[@code=$groupCode]">
									<xsl:for-each select="question">
										<xsl:variable name="questionCode" select="@code" />
										<xsl:variable name="answerCode" select="@answer" />
										<xsl:variable name="openAnswer" select="." />
										<TD>
											<xsl:if test="string-length($answerCode)=0">
												<br />
											</xsl:if>
											<xsl:call-template name="print-answer">
												<xsl:with-param name="ballot" select="$ballot" />
												<xsl:with-param name="groupcode" select="$groupCode" />
												<xsl:with-param name="questioncode" select="$questionCode" />
												<xsl:with-param name="answercode" select="$answerCode" />
												<xsl:with-param name="openanswer" select="$openAnswer" />
											</xsl:call-template>
										</TD>
									</xsl:for-each>
								</xsl:for-each>
							</TR>
						</xsl:for-each>
					</TABLE>
				</xsl:for-each>
			</BODY>
		</HTML>
	</xsl:template>
	<xsl:template name="print-answer">
		<xsl:param name="answercode" />
		<xsl:param name="ballot" />
		<xsl:param name="groupcode" />
		<xsl:param name="questioncode" />
		<xsl:param name="openanswer" />
		<xsl:variable name="aux" select="substring($answercode,1,1)" />
		<xsl:variable name="nextanswer" select="substring-after($answercode,'-')" />
		<xsl:if test="$aux=0">
			<xsl:value-of select="$openanswer" />
			<xsl:if test="string-length($openanswer)=0">
				<br />
			</xsl:if>
		</xsl:if>
		<xsl:value-of select="$ballot/ballot/group[@code=$groupcode]/question[@code=$questioncode]/answer[@code=$aux]" />
		<xsl:if test="string-length($nextanswer)>0">
			<br />
			<xsl:call-template name="print-answer">
				<xsl:with-param name="ballot" select="$ballot" />
				<xsl:with-param name="groupcode" select="$groupcode" />
				<xsl:with-param name="questioncode" select="$questioncode" />
				<xsl:with-param name="answercode" select="$nextanswer" />
				<xsl:with-param name="openanswer" select="$openanswer" />
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
